Deprecated: Return type of Carbon\Carbon::createFromTimestamp($timestamp, $tz = null) should either be compatible with DateTime::createFromTimestamp(int|float $timestamp): static, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /www/wwwroot/srrink.com/vendor/nesbot/carbon/src/Carbon/Traits/Timestamp.php on line 29

Deprecated: Constant PDO::MYSQL_ATTR_SSL_CA is deprecated since 8.5, use Pdo\Mysql::ATTR_SSL_CA instead in /www/wwwroot/srrink.com/config/database.php on line 59
Spaces - Developers - Srrink

Spaces

Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint:

GET
https://srrink.com/api/v1/spaces

Request example:

curl --location --request GET 'https://srrink.com/api/v1/spaces' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
search
optional string
The search query.
search_by
optional string
Search by. Possible values are: name for Name. Defaults to: name.
sort_by
optional string
Sort by. Possible values are: id for Date created, name for Name. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint:

GET
https://srrink.com/api/v1/spaces/{id}

Request example:

curl --location --request GET 'https://srrink.com/api/v1/spaces/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint:

POST
https://srrink.com/api/v1/spaces

Request example:

curl --location --request POST 'https://srrink.com/api/v1/spaces' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}'
Parameter
Type
Description
name
required string
The space name.
color
optional integer
The color code. Possible values are: 1, 2, 3, 4, 5, 6. Defaults to: 1.
Update

API endpoint:

PUT PATCH
https://srrink.com/api/v1/spaces/{id}

Request example:

curl --location --request PUT 'https://srrink.com/api/v1/spaces/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
name
optional string
The space name.
color
optional integer
The color code. Possible values are: 1, 2, 3, 4, 5, 6.
Delete

API endpoint:

DELETE
https://srrink.com/api/v1/spaces/{id}

Request example:

curl --location --request DELETE 'https://srrink.com/api/v1/spaces/{id}' \
--header 'Authorization: Bearer {api_key}'